server {
  listen 80;
  server_name _;
  root /usr/share/nginx/html;
  index index.html;
  client_max_body_size 8g;
  location / { try_files $uri $uri/ /index.html; }
  location ~* \.(js|css|woff2?|wasm|png|jpg|jpeg|svg|webp|ico)$ { expires 7d; }
  location /api/ {
    proxy_pass http://mam-api:3000;
    proxy_http_version 1.1;
    proxy_set_header Host $host;
    proxy_set_header X-Real-IP $remote_addr;
    proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
    proxy_request_buffering off;
    proxy_buffering off;
    proxy_read_timeout 600s;
    client_body_buffer_size 1m;
  }
}
